function mig(){}
function sig(){}
function cig(a){this.a=a}
function eig(a){this.a=a}
function qig(a){this.a=a}
function lig(a,b){D$f(a.a,b)}
function Iig(a){var b;if(!a.d){b=new mig;a.d=b}return a.d}
function oig(){uoe.call(this,YZj,'Persistence Inheritance')}
function Yhg(a){var b;b=GAh(a.b.a,Yuf(),hM(e1c,ixj,1,[]));A7i(q7i(b,eGj),d_j);nnj(new Gmj(b),new cig(a))}
function $hg(a,b,d,e){RFd.call(this,a,b,d);this.c=e;this.b=new S_i(uLb,(RAh(),MAh).Nc(uLb),QAh.Nc(uLb));this.a=new f0i(uLb)}
function Hig(a){var b;if(!a.c){b=new $hg(_Ed(Ube(a.a)),Iig(a),Gig(a),(Rnj(Ade(a.a)),VLg(Oce(a.a))),T0i(yde(a.a)));lFd((Vbe(a.a),b),iGd(Vbe(a.a)));a.c=b}return a.c}
function Zhg(a,b){var d;d=W_i(a.a,b,GAh(a.b.a,Yuf(),hM(e1c,ixj,1,[])),hM(Z1c,bxj,281,[]));if(b.Kc(bMj)&&Ch(b.Nc(bMj),Gzj)){b.Qc(bMj);G7i(q7i(d,cMj),(Klj(),Jlj))}nnj(new Gmj(d),new eig(a))}
function aig(a,b){var d,e;e=hnj(b);if(e.b.iN(BGj)&&q7i(e,BGj).b.b!=(Klj(),Jlj)&&!_Od(q7i(e,BGj).b.$e(),CGj)){_Xd(i_j+(WXd(),'Loading JPA Subsystem'))}else{d=X_i(a.a.a,q7i(e,nGj).b.bN());lig(a.a.A,d)}}
n3c(3564,1009,hyj,$hg);_.Ri=function(){this.A.b=this};_.Wi=function(){Yhg(this)};_.$i=function(){_uf(this.c,this)};n3c(3565,1295,{},cig);_.eh=function(a){aig(this,a)};n3c(3566,1295,{},eig);_.eh=function(a){var b;b=hnj(a);b.b.iN(BGj)&&q7i(b,BGj).b.b!=(Klj(),Jlj)&&!_Od(q7i(b,BGj).b.$e(),CGj)?aYd(o0j+(WXd(),Eck),s7i(b)):bYd(p0j+(WXd(),Eck));Yhg(this.a)};n3c(3569,1412,gyj,mig);_.Bh=function(){var a,b,d,e,g,i;this.a=new K$f(uLb);a=new vhe(bMj,Fck,false);g=new oig;toe(g,hM(e1c,ixj,1,['DEEP','SHALLOW']));T0d(this.a,rGj,hM(X1c,Ryj,262,[a,g]));R0d(this.a,false);d=new y0i(this.a,new qig(this));e=new c2e(new sig,this.a);b=jBe(lBe(kBe(new nBe,this.a),e));i=PBe(UBe(TBe(QBe(RBe(WBe(new XBe,L1j),Eck),(WXd(),'The configuration of the JPA subsystem.')),Z1j,b),w0i(d)));return i};n3c(3570,1672,Xyj,oig);_._j=function(){return false};n3c(3571,1,{},qig);_.Fk=function(a){Zhg(this.a.b,(this.a.a.c,a))};n3c(3572,1,{},sig);_.al=function(){var a;a=Yuf();B7i(e7i(a),vHj,IEj);return a};n3c(3578,1,Pyj);_.qd=function(){JGd(this.b,Hig(this.a.a))};var mLb=DNd(3564),iLb=DNd(3565),jLb=DNd(3566),qLb=DNd(3569),nLb=DNd(3570),oLb=DNd(3571),pLb=DNd(3572);Bzj(hp)(55);